com.ihr.xbrl.om.formula.util

## Class ClsVarIterator

- java.lang.Object
- - com.ihr.xbrl.om.formula.util.ClsVarIterator

-     public class ClsVarIterator
      extends java.lang.Object

  The Class ClsVarIterator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClsVarIterator(java.util.Collection<net.sf.saxon.s9api.XdmValue> hsOutSeq, XBRLVariableResourceUse var, XBRLVariablesHolder set)` Instantiates a new cls var iterator.
    `ClsVarIterator(net.sf.saxon.s9api.XdmValue value, XBRLVariableResourceUse var, XBRLVariablesHolder set)` Instantiates a new cls var iterator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClsVarIterator` | `clone()`
    `net.sf.saxon.s9api.XdmValue` | `getFallbackValue()` Gets the fallback value.
    `net.sf.saxon.s9api.XdmValue` | `getLastReturned()` Gets the last returned.
    `boolean` | `getNextIsFallback()` Gets the next is fallback.
    `XBRLVariableResourceUse` | `getVariable()` Gets the variable.
    `javax.xml.namespace.QName` | `getVarName()` Gets the var name.
    `boolean` | `hasNext()` Checks for next.
    `boolean` | `isFallbackValue()` Checks if is fallback value.
    `net.sf.saxon.s9api.XdmValue` | `next()` Next.
    `void` | `restart()` Restart.
    `void` | `setUseFallback(boolean value)` Sets the use fallback.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClsVarIterator

          public ClsVarIterator(net.sf.saxon.s9api.XdmValue value,
                        XBRLVariableResourceUse var,
                        XBRLVariablesHolder set)
                         throws XFValidationException

      Instantiates a new cls var iterator.
      Parameters:
        `value` - the value
        `var` - the var
        `set` - the set
      Throws:
        `XFValidationException` - the XF validation exception

    - #### ClsVarIterator

          public ClsVarIterator(java.util.Collection<net.sf.saxon.s9api.XdmValue> hsOutSeq,
                        XBRLVariableResourceUse var,
                        XBRLVariablesHolder set)
                         throws XFValidationException

      Instantiates a new cls var iterator.
      Parameters:
        `hsOutSeq` - the hs out seq
        `var` - the var
        `set` - the set
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### clone

          public ClsVarIterator clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### next

          public net.sf.saxon.s9api.XdmValue next()

      Next.
      Returns:
        the xdm value

    - #### getLastReturned

          public net.sf.saxon.s9api.XdmValue getLastReturned()

      Gets the last returned.
      Returns:
        the last returned

    - #### hasNext

          public boolean hasNext()
                          throws XFValidationException

      Checks for next.
      Returns:
        true, if successful
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getVarName

          public javax.xml.namespace.QName getVarName()

      Gets the var name.
      Returns:
        the var name

    - #### getVariable

          public XBRLVariableResourceUse getVariable()

      Gets the variable.
      Returns:
        the variable

    - #### restart

          public void restart()
                       throws XFValidationException

      Restart.
      Throws:
        `XFValidationException` - the XF validation exception

    - #### isFallbackValue

          public boolean isFallbackValue()
                                  throws XFValidationException

      Checks if is fallback value.
      Returns:
        true, if is fallback value
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getNextIsFallback

          public boolean getNextIsFallback()

      Gets the next is fallback.
      Returns:
        the next is fallback

    - #### setUseFallback

          public void setUseFallback(boolean value)

      Sets the use fallback.
      Parameters:
        `value` - the new use fallback

    - #### getFallbackValue

          public net.sf.saxon.s9api.XdmValue getFallbackValue()
                                                       throws XFValidationException

      Gets the fallback value.
      Returns:
        the fallback value
      Throws:
        `XFValidationException` - the XF validation exception